Loading...
Searching...
No Matches
Map cuBLAS => MAGMA
Utilities » Constants and converters

Convert MAGMA constants to NVIDIA cuBLAS constants. More...

## Functions

cublasOperation_t | cublas_trans_const (magma_trans_t magma_const)
cublasFillMode_t | cublas_uplo_const (magma_uplo_t magma_const)
cublasDiagType_t | cublas_diag_const (magma_diag_t magma_const)
cublasSideMode_t | cublas_side_const (magma_side_t magma_const)

## Detailed Description

Convert MAGMA constants to NVIDIA cuBLAS constants.

Available if MAGMA_HAVE_CUDA was defined when MAGMA was compiled. TODO: we do not currently provide inverse converters (cuBLAS => MAGMA).

## Function Documentation

## cublas_trans_const()

cublasOperation_t cublas_trans_const | ( | magma_trans_t | magma_const | ) |

Return values

  CUBLAS_OP_N | if magma_const = MagmaNoTrans
  CUBLAS_OP_T | if magma_const = MagmaTrans
  CUBLAS_OP_C | if magma_const = MagmaConjTrans

## cublas_uplo_const()

cublasFillMode_t cublas_uplo_const | ( | magma_uplo_t | magma_const | ) |

Return values

  CUBLAS_FILL_MODE_UPPER | if magma_const = MagmaUpper
  CUBLAS_FILL_MODE_LOWER | if magma_const = MagmaLower

## cublas_diag_const()

cublasDiagType_t cublas_diag_const | ( | magma_diag_t | magma_const | ) |

Return values

  CUBLAS_DIAG_NONUNIT | if magma_const = MagmaNonUnit
  CUBLAS_DIAG_UNIT | if magma_const = MagmaUnit

## cublas_side_const()

cublasSideMode_t cublas_side_const | ( | magma_side_t | magma_const | ) |

Return values

  CUBLAS_SIDE_LEFT | if magma_const = MagmaLeft
  CUBLAS_SIDE_RIGHT | if magma_const = MagmaRight